﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignPattern.FactoryMethodPattern.FactoryMethod
{
    /// <summary>
    /// 视频播放器基类(可启动，播放，暂停以及停止)
    /// </summary>
    public abstract class VideoPlayer
    {
        public abstract void StartUp();
        public abstract void Play();
        public abstract void Pause(int inteval);
        public abstract void Stop();
    }
}
