﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignPattern.SingletonPattern.Static
{
    public class Singleton
    {
        public static readonly Singleton Instance = new Singleton();
        private Singleton() { }
    }
    /*
    //与readonly直接实例化完全一致
    public class Singleton
    {
        public static readonly Singleton Instance = null;
        static Singleton()
        {
            Instance = new Singleton();
        }
        private Singleton() { }
    }
    */
}
