﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignPattern.UnitTest.Singleton
{
    public class Counter
    {
        public static readonly Counter Instance = new Counter();
        private Counter() { }

        private int value;
        public int Next 
        {
            get { return ++value; }
        }
        public void Reset()
        {
            value = 0;
        }
    }
}
