﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace DesignPattern.UnitTest.Singleton
{
    [TestClass]
    public class CounterTest
    {
        [TestMethod]
        public void TestSingleton()
        {
            Counter.Instance.Reset();
            var c1 = Counter.Instance;
            var c2 = Counter.Instance;
            Assert.AreEqual<Counter>(c1, c2);
            Assert.AreEqual<int>(1, c1.Next);
            Assert.AreEqual<int>(2, c2.Next);
            Assert.AreEqual<int>(3, c1.Next);
        }
    }
}
